Bug 1284769 - Windows XP installer stucks installing with virtio-drivers
Windows XP installer stucks installing with virtio-drivers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.3
Unspecified All
unspecified Severity medium
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On: 1274048
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 03:08 EST by Vadim Rozenfeld
Modified: 2017-11-28 02:50 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1274048
Environment:
Last Closed: 2017-11-28 01:16:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture1 (2.94 KB, image/png)
2015-12-24 03:54 EST, Peixiu Hou
no flags Details
picture2 (5.98 KB, image/png)
2015-12-24 03:55 EST, Peixiu Hou
no flags Details

  None (edit)
Comment 1 Peixiu Hou 2015-12-24 03:54 EST
Created attachment 1109157 [details]
picture1
Comment 2 Peixiu Hou 2015-12-24 03:55 EST
Created attachment 1109158 [details]
picture2

system report message "Setup did not find any hard disk drivers installed in your computer"
Comment 3 Peixiu Hou 2015-12-24 03:56:16 EST
Comment on attachment 1109157 [details]
picture1

message "The file txtsetup.oem could not be found" will show
Comment 4 Peixiu Hou 2015-12-24 03:56:59 EST
Hello,

Reproduced this issue on virtio-win-0.1.110 version.

Verified this issue on virtio-win-0.1.112 verion.Steps same as comment #0.

Actual results:
Installer does not stuck on "Setup is starting Windows" page but another issues occur. According to the comment#0 step, after press "S" button, press the enter, the message "The file txtsetup.oem could not be found" will show. Detail please refer to picture1. Then Press enter to continue install, system will report message "Setup did not find any hard disk drivers installed in your computer". Detail please refer to the attached picture2.

Add I also tried install viostor to a virtio-blk device in pre-installed winXP OS, It's successful.
 

Best Regards!
Peixiu Hou
Comment 5 Yu Wang 2016-03-09 00:34:46 EST
Change status to verified according comment#4
Comment 7 Peixiu Hou 2016-09-12 23:18:37 EDT
Reproduced this issue on virtio-win-0.1.126 verion. Steps same as comment#0. The actual result is same with comment#4.
Comment 8 Vadim Rozenfeld 2016-09-12 23:28:08 EDT
(In reply to Peixiu Hou from comment #7)
> Reproduced this issue on virtio-win-0.1.126 verion. Steps same as comment#0.
> The actual result is same with comment#4.

Can you point to the relevant vfd file location?
Thanks,
Vadim.
Comment 10 Peixiu Hou 2016-09-17 22:31:06 EDT
(In reply to Vadim Rozenfeld from comment #8)
> (In reply to Peixiu Hou from comment #7)
> > Reproduced this issue on virtio-win-0.1.126 verion. Steps same as comment#0.
> > The actual result is same with comment#4.
> 
> Can you point to the relevant vfd file location?
> Thanks,
> Vadim.

Hi Vadim,
 
The vfd file location is virtio-win-prewhql-126/Wxp/x86/.
virtio-win-prewhql-126.vfd including file as follows:
viostor.cat  
viostor.inf  
viostor.pdb  
viostor.sys  
WdfCoInstaller01009.dll

Best Regards~
Peixiu Hou
Comment 11 Vadim Rozenfeld 2016-09-18 00:50:44 EDT
(In reply to Peixiu Hou from comment #10)
> (In reply to Vadim Rozenfeld from comment #8)
> > (In reply to Peixiu Hou from comment #7)
> > > Reproduced this issue on virtio-win-0.1.126 verion. Steps same as comment#0.
> > > The actual result is same with comment#4.
> > 
> > Can you point to the relevant vfd file location?
> > Thanks,
> > Vadim.
> 
> Hi Vadim,
>  
> The vfd file location is virtio-win-prewhql-126/Wxp/x86/.
> virtio-win-prewhql-126.vfd including file as follows:
> viostor.cat  
> viostor.inf  
> viostor.pdb  
> viostor.sys  
> WdfCoInstaller01009.dll
> 
> Best Regards~
> Peixiu Hou

That's good, but can you please attach vfd image for the future investigation?
I'm mostly interested in seeing contents of txtsetup.oem file. 
Btw, wdf coinstaller is not required for viostor driver, and driver's binaries and inf file must be placed under \i386\WinXP location 

Best regards,
Vadim.
Comment 12 Peixiu Hou 2016-09-18 02:05:34 EDT
Hi Vadiam,

I tried to test with virtio-win-1.9.0-2, also can reproduce this issue. 
Used vfd file is /usr/share/virtio-win/virtio-win-1.9.0_x86.vfd.


Best Regards~
Peixiu Hou
Comment 13 lijin 2016-09-18 02:41:26 EDT
too late for rhel7.3,postpone to rhel7.4
Comment 15 Vadim Rozenfeld 2017-11-27 04:15:28 EST
Even though WinXP EOL can we give it another try on rhel 7.5 and virtio-win drivers from virtio-win-1.9.3 (tried several times but cannot reproduce it so far).

Thanks,
Vadim.
Comment 16 lijin 2017-11-27 04:22:42 EST
(In reply to Vadim Rozenfeld from comment #15)
> Even though WinXP EOL can we give it another try on rhel 7.5 and virtio-win
> drivers from virtio-win-1.9.3 (tried several times but cannot reproduce it
> so far).

Sure.
I will update when result come out.
Thanks
Comment 17 lijin 2017-11-28 01:16:56 EST
I can reproduce this issue with build 110,hit "The file txtsetup.oem could not be found" error.

Can NOT reproduce it with virtio-win-1.9.0-3.el7.noarch, guest can be installed correctly.

So this issue should be fixed already.

Close this bug.
Comment 18 Vadim Rozenfeld 2017-11-28 02:50:56 EST
(In reply to lijin from comment #17)
> I can reproduce this issue with build 110,hit "The file txtsetup.oem could
> not be found" error.
> 
> Can NOT reproduce it with virtio-win-1.9.0-3.el7.noarch, guest can be
> installed correctly.
> 
> So this issue should be fixed already.
> 
> Close this bug.

Thanks a lot.
Vadim.

Note You need to log in before you can comment on or make changes to this bug.